Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1815246 - Review Request: python-pytest-datafiles - A pytest plugin to create a 'tmpdir' containing predefined content
Summary: Review Request: python-pytest-datafiles - A pytest plugin to create a 'tmpdir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: José Matos
URL:
Whiteboard:
Depends On:
Blocks: 1815267 1815272
TreeView+ depends on / blocked
 
Reported: 2020-03-19 19:42 UTC by Fabian Affolter
Modified: 2020-03-29 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-29 00:15:32 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-03-19 19:42:15 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-datafiles.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-datafiles-2.0-1.fc31.src.rpm

Project URL: https://github.com/omarkohl/pytest-datafiles

Description:
This plugin allows you to specify one or several files/directories that are
copied to a temporary directory (tmpdir) before the execution of the test.
This means the original files are not modified and every test runs on its
own version of the same files.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42621878

rpmlint output:
$ rpmlint python-pytest-datafiles-2.0-1.fc31.src.rpm 
python-pytest-datafiles.src: W: spelling-error Summary(en_US) tmpdir 
python-pytest-datafiles.src: W: spelling-error %description -l en_US tmpdir 
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint python3-pytest-datafiles-2.0-1.fc31.noarch.rpm 
python3-pytest-datafiles.noarch: W: spelling-error Summary(en_US) tmpdir 
python3-pytest-datafiles.noarch: W: spelling-error %description -l en_US tmpdir 
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 José Matos 2020-03-19 23:51:33 UTC
This is a very simple python module.

The license is correct, acceptable and include in the package.

The package is approved.

Comment 2 Fabian Affolter 2020-03-20 07:22:01 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-03-20 15:00:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-datafiles

Comment 4 Fedora Update System 2020-03-20 15:29:17 UTC
FEDORA-2020-28ca12e840 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-28ca12e840

Comment 5 Fedora Update System 2020-03-21 01:29:36 UTC
python-pytest-datafiles-2.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a5dc48972b

Comment 6 Fedora Update System 2020-03-21 01:44:00 UTC
python-pytest-datafiles-2.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-28ca12e840

Comment 7 Fedora Update System 2020-03-29 00:15:32 UTC
FEDORA-2020-28ca12e840 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-03-29 01:36:44 UTC
FEDORA-2020-a5dc48972b has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.